Bug 537971 - Review Request: ghc-mmap - Haskell binding to mmap
Review Request: ghc-mmap - Haskell binding to mmap
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lorenzo Villani
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 537979
  Show dependency treegraph
 
Reported: 2009-11-16 20:26 EST by Jens Petersen
Modified: 2014-01-02 00:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-10 22:50:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lorenzo: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-11-16 20:26:59 EST
Spec URL: http://petersen.fedorapeople.org/ghc-mmap/ghc-mmap.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-mmap/ghc-mmap-0.4.1-1.fc12.src.rpm
Description: 
This library provides a wrapper to mmap(2) or MapViewOfFile, allowing files or devices to be lazily loaded into memory as strict or lazy ByteStrings, ForeignPtrs or plain Ptrs, using the virtual memory subsystem to do on-demand loading. Modifications are also supported.

This required for ghc-hashed-storage which is a dep of darcs 2.3.
Comment 1 Lorenzo Villani 2009-12-31 11:01:11 EST
Please ignore numbers in square brackets.


#  MUST: rpmlint must be run on every package. The output should be posted in the review.

[lvillani@normandy tmp]$ rpmlint /home/lvillani/devel/rpm/rpms/x86_64/ghc-mmap-devel-0.4.1-1.fc12.x86_64.rpm  /home/lvillani/devel/rpm/rpms/x86_64/ghc-mmap-doc-0.4.1-1.fc12.x86_64.rpm /home/lvillani/devel/rpm/rpms/x86_64/ghc-mmap-prof-0.4.1-1.fc12.x86_64.rpm ghc-mmap-0.4.1-1.fc12.src.rpm 
ghc-mmap-prof.x86_64: E: devel-dependency ghc-mmap-devel
ghc-mmap-prof.x86_64: W: no-documentation
ghc-mmap-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.10.4/mmap-0.4.1/libHSmmap-0.4.1_p.a
ghc-mmap.src: W: strange-permission mmap-0.4.1.tar.gz 0600
4 packages and 0 specfiles checked; 1 errors, 3 warnings.

-> These are all expected errors: OK


# MUST: The package must be named according to the Package Naming Guidelines .
-> OK

# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
-> OK

# MUST: The package must meet the Packaging Guidelines .
-> OK

# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
-> BSD (3 clause) License: ok

# MUST: The License field in the package spec file must match the actual license. [3]
-> BSD is a valid short name for 3-clause BSD license.

# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
-> OK

# MUST: The spec file must be written in American English. [5]
-> OK

# MUST: The spec file for the package MUST be legible. [6]
-> OK

# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

[lvillani@normandy tmp]$ md5sum mmap-0.4.1.tar.gz mmap-0.4.1.tar.gz.1 
2ebe9772a0efd0a6febfbc67c02faab2  mmap-0.4.1.tar.gz
2ebe9772a0efd0a6febfbc67c02faab2  mmap-0.4.1.tar.gz.1

(.1 comes from upstream) -> OK

# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
-> OK

# MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
-> OK

# MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
-> OK

# MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
-> OK

# MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
-> No shared libraries: OK

# MUST: Packages must NOT bundle copies of system libraries.[11]
-> OK

# MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
-> OK

# MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
-> OK

# MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [14]
-> OK

# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
-> OK

# MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [16]
-> OK

# MUST: Each package must consistently use macros. [17]
-> OK

# MUST: The package must contain code, or permissable content. [18]
-> OK

# MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [19]
-> OK

# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [19]
-> OK

# MUST: Header files must be in a -devel package. [20]
-> OK

# MUST: Static libraries must be in a -static package. [21]
-> Exception: All libraries produced by GHC (6.10) are statically linked -> OK

# MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). [22]
-> OK

# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [20]
-> OK

# MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [23]
-> OK

# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[21]
-> OK

# MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [24]
-> OK


# MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [25]
-> OK

# MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [26]
-> OK

# MUST: All filenames in rpm packages must be valid UTF-8.
-> OK


** APPROVED **
Comment 2 Jens Petersen 2010-01-06 20:12:07 EST
Thank you very much for reviewing - a step closer to darcs-2.3. :)
Comment 3 Jens Petersen 2010-01-06 20:14:14 EST
New Package CVS Request
=======================
Package Name: ghc-mmap
Short Description: Haskell binding to mmap
Owners: petersen
Branches: devel
InitialCC: haskell-sig
Comment 4 Kevin Fenzi 2010-01-08 23:39:24 EST
cvs done.
Comment 5 Jens Petersen 2010-01-10 19:34:16 EST
Thanks: package imported to cvs.  I will update the macros for ghc-6.12.1
before building.
Comment 6 Jens Petersen 2010-01-10 22:50:08 EST
Updated and building now in koji.
Comment 7 Jens Petersen 2010-10-03 22:05:08 EDT
Package Change Request
======================
Package Name: darcs
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 8 Jens Petersen 2010-10-03 22:07:23 EDT
oops sorry please ignore comment 7: getting a bit ahead of myself there...

Package Change Request
======================
Package Name: ghc-mmap
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 9 Kevin Fenzi 2010-10-04 15:03:06 EDT
Git done (by process-git-requests).
Comment 10 Jens Petersen 2013-12-27 08:19:02 EST
Package Change Request
======================
Package Name: ghc-mmap
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 11 Jens Petersen 2014-01-02 00:54:52 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.